SQLR-START(8)

NAME
sqlr-start - manual page for sqlr-start 1.9.2

SYNOPSIS
sqlr-start [OPTIONS]

DESCRIPTION
sqlr-start is the startup program for the SQL Relay server processes.

The sqlr-start program spawns sqlr-listener, sqlr-connection, and sqlr-scaler processes.

When run with the -id argument, sqlr-start starts processes for the specified instance. When run with no -id argument, sqlr-start starts processes for all enabled instances.

OPTIONS

-config config
    Override the default configuration with the specified configuration.

-id instanceid
    Id of an instance, as defined in the configuration.

-localstatedir dir
    Override the default directory for keeping pid files, sockets, and other working or stateful files with the specified directory.

-abs-max-connections
    Displays the absolute maximum number of database connections that may be opened by instance of SQL Relay and exits.n

-disable-crash-handler
    Disable the built-in crash handler. Useful for debugging.

-backtrace dir
    Instructs the program to spawn sqlr-connection processes with the same backtrace option and argument.

-wait
    Wait up to 30 seconds for each instance to become ready before exiting and exit with status 1 if an instance failed to become ready in the allotted time.

EXAMPLES
Start instance "myinst" as defined in the default configuration.

    sqlr-start -id myinst

Start instance "myinst" as defined in the config file ./myconfig.conf

    sqlr-start -config ./myconfig.conf -id myinst

Start all instances enabled in the default configuration.

    sqlr-start

Start all instances enabled in the config file ./myconfig.conf

    sqlr-start -config ./myconfig.conf

Rudiments version: 1.4.0 Compiled: Aug 9 2021 22:08:13

AUTHOR
Written by David Muse.

COPYRIGHT
Copyright © 1999-2018 David Muse
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.